#!/dls_sw/work/R3.14.8.2/support/Hy8401ip-asyn/example/bin/vxWorks-ppc604_long/example
cd "/dls_sw/work/R3.14.8.2/support/Hy8401ip-asyn/example"

## Commented out Linux command:epicsEnvSet(EPICS_CA_REPEATER_PORT,"6065")
## Commented out Linux command:epicsEnvSet(EPICS_CA_SERVER_PORT,"6064")

# Load binaries on architectures that need to do so.
# VXWORKS_ONLY, LINUX_ONLY and RTEMS_ONLY are macros that resolve
# to a comment symbol on architectures that are not the current
# build architecture, so they can be used liberally to do architecture
# specific things. Alternatively, you can include an architecture
# specific file.
ld < bin/vxWorks-ppc604_long/example.munch

#epicsEnvSet(EPICS_CA_REPEATER_PORT,"6065")
#epicsEnvSet(EPICS_CA_SERVER_PORT,"6064")
epicsEnvSet(EPICS_CA_MAX_ARRAY_BYTES,"3000000")

## Register all support components
dbLoadDatabase("dbd/example.dbd")
example_registerRecordDeviceDriver(pdbbase)


# Run the configuration function once for each card in the IOC
# This is the function registered in registrarHy8314ip.c
#  Arguments should be something like:
#  * asyn port (string)
#  * VME slot number
#  * IP slot number
#  * - any other arguments that need to be used for configuration
#      at startup time.

###########################################################
# Configure Hytec 8002 carriers
#   8002 carrier VME slot 7
#   8002 carrier VME slot 8
#          ARGS - vmeslotnum, IPintlevel, HSintnum
#
#ARGS = malloc (20)

#sprintf (ARGS, "%d %d %d", 3, 2, 0xFC)
IPAC3=ipacEXTAddCarrier(&EXTHy8002, "3 2 18")
#IPAC3 = ipacAddHy8002(ARGS)
    
#int Hy8401ipAsynInit(char *portName, int vmeSlotNum, int ipSlotNum, int vectorNum,
#					int samples, int average, int offset, int scanMode, int clockRate, 
#                    int extClock)
# vmeslot=3, ipslot=1, vector=10, samples=1000, average=5000, offset=0, scanmode=1(trigger), 
#                   clockrate=6(100Hz), extclock=0(no), fastADC=0(slow mca & EPID)
Hy8401ipAsynInit("myasynport1", IPAC3, 1, 10, 1000, 5000, 0, 1, 6, 0, 0)

#int Hy8401ipAsynConfig(const char *portName, int aiType, int range, int firstChan, int lastChan, int chanBuffSize )
#
Hy8401ipAsynConfig("myasynport1", 0, 1, 0, 7, 100)

# int initFastSweep(char *portName, char *inputName,
#                   int maxSignals, int maxPoints)
# portName   = asyn port name for this port
# inputName  = name of input port
# maxSignals = maximum number of input signals.
# maxPoints  = maximum number of points in a sweep.  The amount of memory
#              allocated will be maxPoints*maxSignals*4 bytes
initFastSweep("8401Sweep1","myasynport1", 8, 10000)


##########
# Hytec 8402 DAC in IP site B of the IP carrier card in slot 10.
Hy8402ipConfigure (302, IPAC3, 2, 11)

initHy8402ipAsyn("DAC", 302)
##########


## Load record instances
dbLoadRecords("db/example.db","P=CARD1,PORT=myasynport1")
dbLoadRecords("db/examplemca.db")
dbLoadRecords("db/exampleepid.db")

# set trace output level for asyn port "myasynport1"
# Level: 0x01 = Errors only
# asynSetTraceMask arguments:
#  * asyn port
#  * address of that asynport (i.e. channel number)
#  * verbosity level: 
#                     0x01: error, 
#                     0x11: errors, warnings and debug
#                     0x00: silent
asynSetTraceMask( "myasynport1", 0, 0x00 )  
# all driver level messages

iocInit()

